
#include <cpp/base/hphp.h>

namespace HPHP {
///////////////////////////////////////////////////////////////////////////////


// Class -> File
const char *g_source_cls2file[] = {
  "ansitermcolorer", "Parser2.php",
  "article", "Parser2.php",
  "backlinkcache", "Parser2.php",
  "block", "Parser2.php",
  "citerator", "Parser2.php",
  "coreparserfunctions", "Parser2.php",
  "ctraversable", "Parser2.php",
  "dbtestpreviewer", "Parser2.php",
  "dbtestrecorder", "Parser2.php",
  "doublereplacer", "Parser2.php",
  "dummytermcolorer", "Parser2.php",
  "errorpageerror", "Parser2.php",
  "explodeiterator", "Parser2.php",
  "fakeconverter", "Parser2.php",
  "fakememcachedclient", "Parser2.php",
  "fatalerror", "Parser2.php",
  "filecache", "Parser2.php",
  "getdb", "Parser2.php",
  "hashtablereplacer", "Parser2.php",
  "htmlcacheupdate", "Parser2.php",
  "htmlfilecache", "Parser2.php",
  "interwiki", "Parser2.php",
  "ip", "Parser2.php",
  "language", "Parser2.php",
  "linkbatch", "Parser2.php",
  "linkcache", "Parser2.php",
  "linker", "Parser2.php",
  "linkholderarray", "Parser2.php",
  "linksupdate", "Parser2.php",
  "magicword", "Parser2.php",
  "magicwordarray", "Parser2.php",
  "mediawiki_i18n", "Parser2.php",
  "memcached", "Parser2.php",
  "memcachedclientforwiki", "Parser2.php",
  "messagecache", "Parser2.php",
  "monobooktemplate", "Parser2.php",
  "mwexception", "Parser2.php",
  "mwnamespace", "Parser2.php",
  "onlyincludereplacer", "Parser2.php",
  "outputpage", "Parser2.php",
  "parser", "Parser2.php",
  "parseroptions", "Parser2.php",
  "parseroutput", "Parser2.php",
  "parsertest", "Parser2.php",
  "passworderror", "Parser2.php",
  "ppcustomframe_dom", "Parser2.php",
  "ppdpart", "Parser2.php",
  "ppdstack", "Parser2.php",
  "ppdstackelement", "Parser2.php",
  "ppframe", "Parser2.php",
  "ppframe_dom", "Parser2.php",
  "ppnode", "Parser2.php",
  "ppnode_dom", "Parser2.php",
  "pptemplateframe_dom", "Parser2.php",
  "preprocessor", "Parser2.php",
  "preprocessor_dom", "Parser2.php",
  "profiler", "Parser2.php",
  "proveparsertest", "Parser2.php",
  "provetestrecorder", "Parser2.php",
  "quicktemplate", "Parser2.php",
  "recentchange", "Parser2.php",
  "regexlikereplacer", "Parser2.php",
  "replacementarray", "Parser2.php",
  "replacer", "Parser2.php",
  "repogroup", "Parser2.php",
  "request", "Parser2.php",
  "revision", "Parser2.php",
  "sanitizer", "Parser2.php",
  "searchupdate", "Parser2.php",
  "sitestatsupdate", "Parser2.php",
  "skin", "Parser2.php",
  "skinmonobook", "Parser2.php",
  "skintemplate", "Parser2.php",
  "status", "Parser2.php",
  "stringutils", "Parser2.php",
  "stripstate", "Parser2.php",
  "stubcontlang", "Parser2.php",
  "stubobject", "Parser2.php",
  "stubuser", "Parser2.php",
  "stubuserlang", "Parser2.php",
  "testrecorder", "Parser2.php",
  "title", "Parser2.php",
  "titlearray", "Parser2.php",
  "titlearrayfromresult", "Parser2.php",
  "user", "Parser2.php",
  "utfnormal", "Parser2.php",
  "xml", "Parser2.php",
  "xmlselect", "Parser2.php",
  NULL
};

// Function -> File
const char *g_source_func2file[] = {
  "_cmp_deeply", "Parser2.php",
  "_diff", "Parser2.php",
  "_idx", "Parser2.php",
  "_plural", "Parser2.php",
  "_proclaim", "Parser2.php",
  "_repl", "Parser2.php",
  "_repl_array", "Parser2.php",
  "_test_ends", "Parser2.php",
  "array_diff_key", "Parser2.php",
  "cmp_ok", "Parser2.php",
  "codepointtoutf8", "Parser2.php",
  "diag", "Parser2.php",
  "efgetprivateandfishbowlwikis", "Parser2.php",
  "escapesinglestring", "Parser2.php",
  "fail", "Parser2.php",
  "hexsequencetoutf8", "Parser2.php",
  "iconv", "Parser2.php",
  "in_string", "Parser2.php",
  "include_ok", "Parser2.php",
  "is", "Parser2.php",
  "is_deeply", "Parser2.php",
  "isa_ok", "Parser2.php",
  "isnt", "Parser2.php",
  "istainted", "Parser2.php",
  "like", "Parser2.php",
  "logbadpassword", "Parser2.php",
  "logprefsemail", "Parser2.php",
  "logprefspassword", "Parser2.php",
  "mb_strlen", "Parser2.php",
  "mb_substr", "Parser2.php",
  "mimetypematch", "Parser2.php",
  "myexit", "Parser2.php",
  "ok", "Parser2.php",
  "pass", "Parser2.php",
  "plan", "Parser2.php",
  "require_ok", "Parser2.php",
  "swap", "Parser2.php",
  "taint", "Parser2.php",
  "todo_end", "Parser2.php",
  "todo_start", "Parser2.php",
  "unlike", "Parser2.php",
  "untaint", "Parser2.php",
  "utf8tocodepoint", "Parser2.php",
  "utf8tohexsequence", "Parser2.php",
  "wfabruptexit", "Parser2.php",
  "wfaccepttoprefs", "Parser2.php",
  "wfappendquery", "Parser2.php",
  "wfappendtoarrayifnotdefault", "Parser2.php",
  "wfarraydiff2", "Parser2.php",
  "wfarraydiff2_cmp", "Parser2.php",
  "wfarraylookup", "Parser2.php",
  "wfarraymerge", "Parser2.php",
  "wfarraytocgi", "Parser2.php",
  "wfbacktrace", "Parser2.php",
  "wfbaseconvert", "Parser2.php",
  "wfbasename", "Parser2.php",
  "wfbooltostr", "Parser2.php",
  "wfcgitoarray", "Parser2.php",
  "wfchecklimits", "Parser2.php",
  "wfclearoutputbuffers", "Parser2.php",
  "wfclientacceptsgzip", "Parser2.php",
  "wfclone", "Parser2.php",
  "wfcreateobject", "Parser2.php",
  "wfdebug", "Parser2.php",
  "wfdebugbacktrace", "Parser2.php",
  "wfdebugdiebacktrace", "Parser2.php",
  "wfdebuglog", "Parser2.php",
  "wfdebugmem", "Parser2.php",
  "wfdeprecated", "Parser2.php",
  "wfdie", "Parser2.php",
  "wfdiff", "Parser2.php",
  "wfdoupdates", "Parser2.php",
  "wfemptymsg", "Parser2.php",
  "wfencryptpassword", "Parser2.php",
  "wferrorexit", "Parser2.php",
  "wferrorlog", "Parser2.php",
  "wfescapeshellarg", "Parser2.php",
  "wfescapewikitext", "Parser2.php",
  "wfexceptionhandler", "Parser2.php",
  "wfexpandurl", "Parser2.php",
  "wfexplodemarkup", "Parser2.php",
  "wffindfile", "Parser2.php",
  "wfforeignmemckey", "Parser2.php",
  "wfformatstackframe", "Parser2.php",
  "wfgeneratetoken", "Parser2.php",
  "wfgetagent", "Parser2.php",
  "wfgetallcallers", "Parser2.php",
  "wfgetcache", "Parser2.php",
  "wfgetcachednotice", "Parser2.php",
  "wfgetcaller", "Parser2.php",
  "wfgetdb", "Parser2.php",
  "wfgetforwardedfor", "Parser2.php",
  "wfgethttp", "Parser2.php",
  "wfgetip", "Parser2.php",
  "wfgetlangobj", "Parser2.php",
  "wfgetmaincache", "Parser2.php",
  "wfgetmessagecachestorage", "Parser2.php",
  "wfgetmimemagic", "Parser2.php",
  "wfgetnamespacenotice", "Parser2.php",
  "wfgetnull", "Parser2.php",
  "wfgetparsercachestorage", "Parser2.php",
  "wfgetprecompileddata", "Parser2.php",
  "wfgetprofilingoutput", "Parser2.php",
  "wfgetsitenotice", "Parser2.php",
  "wfhostname", "Parser2.php",
  "wfhttperror", "Parser2.php",
  "wfhttponlysafe", "Parser2.php",
  "wfincrstats", "Parser2.php",
  "wfinigetbool", "Parser2.php",
  "wfinitshelllocale", "Parser2.php",
  "wfinstallexceptionhandler", "Parser2.php",
  "wfislocallyblockedproxy", "Parser2.php",
  "wfislocalurl", "Parser2.php",
  "wfistrustedproxy", "Parser2.php",
  "wfiswindows", "Parser2.php",
  "wfloadextensionmessages", "Parser2.php",
  "wflocalfile", "Parser2.php",
  "wflogdberror", "Parser2.php",
  "wflogprofilingdata", "Parser2.php",
  "wflogxff", "Parser2.php",
  "wfmakeurlindex", "Parser2.php",
  "wfmaxlagerror", "Parser2.php",
  "wfmemckey", "Parser2.php",
  "wfmerge", "Parser2.php",
  "wfmergeerrorarrays", "Parser2.php",
  "wfmkdirparents", "Parser2.php",
  "wfmsg", "Parser2.php",
  "wfmsgext", "Parser2.php",
  "wfmsgforcontent", "Parser2.php",
  "wfmsgforcontentnotrans", "Parser2.php",
  "wfmsggetkey", "Parser2.php",
  "wfmsghtml", "Parser2.php",
  "wfmsgnodb", "Parser2.php",
  "wfmsgnodbforcontent", "Parser2.php",
  "wfmsgnotrans", "Parser2.php",
  "wfmsgreal", "Parser2.php",
  "wfmsgreplaceargs", "Parser2.php",
  "wfmsgweirdkey", "Parser2.php",
  "wfmsgwikihtml", "Parser2.php",
  "wfnegotiatetype", "Parser2.php",
  "wfnodeletemainpage", "Parser2.php",
  "wfnumlink", "Parser2.php",
  "wfout", "Parser2.php",
  "wfparsecidr", "Parser2.php",
  "wfparsertestparserhookhook", "Parser2.php",
  "wfparsertestparserhooksetup", "Parser2.php",
  "wfparserteststaticparserhookhook", "Parser2.php",
  "wfparserteststaticparserhooksetup", "Parser2.php",
  "wfparsertimesetup", "Parser2.php",
  "wfparseurl", "Parser2.php",
  "wfpercent", "Parser2.php",
  "wfprinterror", "Parser2.php",
  "wfprofileclose", "Parser2.php",
  "wfprofilein", "Parser2.php",
  "wfprofileout", "Parser2.php",
  "wfproxycheck", "Parser2.php",
  "wfpurgesquidservers", "Parser2.php",
  "wfqueriesmustscale", "Parser2.php",
  "wfquotedprintable", "Parser2.php",
  "wfrandom", "Parser2.php",
  "wfreadonly", "Parser2.php",
  "wfreadonlyreason", "Parser2.php",
  "wfregexreplacement", "Parser2.php",
  "wfrelativepath", "Parser2.php",
  "wfreportexception", "Parser2.php",
  "wfreporttime", "Parser2.php",
  "wfresetoutputbuffers", "Parser2.php",
  "wfrestorewarnings", "Parser2.php",
  "wfrunhooks", "Parser2.php",
  "wfscript", "Parser2.php",
  "wfseedrandom", "Parser2.php",
  "wfsetbit", "Parser2.php",
  "wfsetupsession", "Parser2.php",
  "wfsetvar", "Parser2.php",
  "wfshellexec", "Parser2.php",
  "wfshowingresults", "Parser2.php",
  "wfshowingresultsnum", "Parser2.php",
  "wfspeciallist", "Parser2.php",
  "wfsplitwikiid", "Parser2.php",
  "wfstripillegalfilenamechars", "Parser2.php",
  "wfsuppresswarnings", "Parser2.php",
  "wftempdir", "Parser2.php",
  "wftime", "Parser2.php",
  "wftimestamp", "Parser2.php",
  "wftimestampnow", "Parser2.php",
  "wftimestampornull", "Parser2.php",
  "wfurlencode", "Parser2.php",
  "wfurlprotocols", "Parser2.php",
  "wfusemw", "Parser2.php",
  "wfusephp", "Parser2.php",
  "wfvardump", "Parser2.php",
  "wfviewprevnext", "Parser2.php",
  "wfwaitforslaves", "Parser2.php",
  "wfwikiid", "Parser2.php",
  "wmfcentralauthwikilist", "Parser2.php",
  NULL
};

// Param RTTI Id -> Name
const char *g_paramrtti_map[] = {
  NULL
};

///////////////////////////////////////////////////////////////////////////////
}
